# StageServer (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.stage.server
Class StageServer

    java.lang.Object
      com.threerings.presents.server.PresentsServer
          com.threerings.crowd.server.CrowdServer
              com.threerings.whirled.server.WhirledServer
                  com.threerings.stage.server.StageServer

    public abstract class StageServer

extends WhirledServer

Extends the Whirled server to provide services needed by the Stage system.

Nested Class Summary
`static class` `StageServer.StageModule` Configures dependencies needed by the Stage services.

Nested classes/interfaces inherited from class com.threerings.whirled.server.WhirledServer
`WhirledServer.WhirledModule`

Nested classes/interfaces inherited from class com.threerings.crowd.server.CrowdServer
`com.threerings.crowd.server.CrowdServer.CrowdModule`

Nested classes/interfaces inherited from class com.threerings.presents.server.PresentsServer
`com.threerings.presents.server.PresentsServer.PresentsModule, com.threerings.presents.server.PresentsServer.PresentsServerModule`

Field Summary
`com.threerings.resource.ResourceManager` `rsrcmgr` A resource manager with which we can load resources in the same manner that the client does (for resources that are used on both the server and client).
`static com.threerings.media.tile.TileManager` `tilemgr` Provides access to our tile repository.

Fields inherited from class com.threerings.presents.server.PresentsServer
`invmgr, omgr`

Constructor Summary
`StageServer()`

Method Summary
`void` `init(com.google.inject.Injector injector)`

Methods inherited from class com.threerings.crowd.server.CrowdServer
`main`

Methods inherited from class com.threerings.presents.server.PresentsServer
`queueShutdown, run, runServer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rsrcmgr

    public com.threerings.resource.ResourceManager rsrcmgr

  A resource manager with which we can load resources in the same manner that the client does (for resources that are used on both the server and client).

### tilemgr

    public static com.threerings.media.tile.TileManager tilemgr

  Provides access to our tile repository.

Constructor Detail

### StageServer

    public StageServer()

Method Detail

### init

    public void init(com.google.inject.Injector injector)
              throws Exception

  Overrides:
    `init` in class `WhirledServer`
  Throws:
    `Exception`

Copyright © 2011. All Rights Reserved.